/**
 * Superclass for the four components
 */
public class HardwareComponent {

	protected String manufactor;

	protected String model;

	protected double price;

	protected String feat;

	/**
	 * Tom constructor
	 */
	public HardwareComponent() {
	}

	/**
	 * Constructor that makes object of the class by using manu, model, price
	 * and feat
	 * 
	 * @param newManufactor
	 * @param newModel
	 * @param newPrice
	 * @param newFeat
	 */
	public HardwareComponent(String newManufactor, String newModel,
			double newPrice, String newFeat) {
		manufactor = newManufactor;
		model = newModel;
		price = newPrice;
		feat = newFeat;
	}

	/**
	 * Returns textual representation of object.
	 * 
	 * @return String
	 */
	protected String description() {
		return "Manufactor:" + manufactor + "\nModel: " + model + "\nPrice:"
				+ price + "\n";
	}

	/**
	 * Compares two hardware components and check if they are equal.
	 * 
	 * @param other
	 * @return boolean
	 */
	public boolean isIdenticalTo(HardwareComponent other) {
		boolean isIdentical = false;

		if (other.getClass().getName().equals(this.getClass().getName())) {
			if (other.getManufactor().equals(manufactor)) {
				if (other.getModel().equals(model)) {
					isIdentical = true;
				}
			}
		} else {
			isIdentical = false;
		}
		return isIdentical;
	}

	/** Get-methods */
	protected String getModel() {
		return model;
	}

	protected String getManufactor() {
		return manufactor;
	}

	protected double getPrice() {
		return price;
	}

	protected String getFeat() {
		return feat;
	}

	/** Set-methods */
	protected void setModel(String newModel) {
		model = newModel;
	}

	protected void setManufactor(String newManufactor) {
		manufactor = newManufactor;
	}

	protected void setPrice(double newPrice) {
		price = newPrice;
	}

	protected void setFeat(String newFeat) {
		feat = newFeat;
	}
}