/*
 * This is the superclass of all the different parts that can be added to the
 * warehouse. It holds the different attributes used in the subclasses.
 */
public class Component implements Comparable {
	String make;

	String model;

	String frequens;

	String information;

	String size;

	int price;

	/*
	 * This is a subclass that is used when dealing with CPUs.
	 */
	class CPU extends Component {

		/* This is the constructor for the CPU class. */
		public CPU(String f, String m, String z, int p) {
			make = f;
			model = m;
			frequens = z;
			price = p;

		}

		/*
		 * The toString method placed here, is used when the objects are casted
		 * from the objects from the list back, in order to make them readable.
		 */
		public String toString() {
			return ("\n 'CPU': 'Make' " + make + " 'Model' " + model
					+ " 'Frequence' " + frequens + " 'Price' " + price);
		}

	}

	class Motherboard extends Component {
		public Motherboard(String f, String m, String i, int p) {
			make = f;
			model = m;
			information = i;
			price = p;

		}

		public String toString() {
			return ("\n 'Motherboard': 'Make' " + make + " 'Model' " + model
					+ " 'Information' " + information + " 'Price' " + price);
		}

	}

	class Harddrive extends Component {
		public Harddrive(String f, String m, String s, int p) {
			make = f;
			model = m;
			size = s;
			price = p;
		}

		public String toString() {
			return ("\n 'Harddrive' 'Make' " + make + " 'Model' " + model
					+ " 'Size' " + size + " 'Price' " + price);
		}

	}

	class Ram extends Component {
		public Ram(String f, String m, String s, int p) {
			make = f;
			model = m;
			size = s;
			price = p;
		}

		public String toString() {
			return ("\n 'Ram' 'Make' " + make + " 'Model' " + model
					+ " 'Size' " + size + " 'Price' " + price);
		}

	}

	class PC extends Component {
		public PC(String f, String m) {
			make = f;
			model = m;
		}

		public String toString() {
			return ("'PC' 'Make' " + make + " 'Model' " + model);
		}

	}

	/*
	 * The equals method is used when a new component has to be added to the
	 * list. It compares two objects to see if the new one, that is to be put in
	 * the list already excists.
	 */
	public boolean equals(Object object) {
		if (object instanceof Component) {
			if (compareTo(object) == 0) {
				return true;
			} else
				return false;

		} else
			return false;
	}

	/*
	 * The compareTo method is used along with the equals method to see if a
	 * given object already is present.
	 */
	public int compareTo(Object object) {
		Component del = ((Component) object);
		if (make.equals(del.make)) {
			if (model.equals(del.model)) {
				return 0;
			}
			return 1;
		} else
			return 1;
	}
}