package component;

/**
 * Description: Denne klasse omhandler arbejdet med objekter af typen Cpu.
 * Nedarver fra Component.
 */
public class Cpu extends Component {
	/**
	 * Variablen frekvens reprsenterer den frekvens en CPU har.
	 */
	private String frekvens;

	/**
	 * Metoden setFrekvens benyttes til at ndre frekvensen p et Cpu objekt.
	 * 
	 * @param frekvens
	 *            String
	 */
	public void setFrekvens(String frekvens) {
		this.frekvens = frekvens;
	}

	/**
	 * Metoden getFrekvens benyttes til at hente vrdien p variablen frekvens.
	 * 
	 * @return String
	 */
	public String getFrekvens() {
		return frekvens;
	}

	/**
	 * Metoden show bliver i klassen Cpu benyttet til at reprsentere
	 * egenskaberne, for et Cpu objekt, p skrmen.
	 */
	public void show() {
		System.out.println("*********************CPU************************");
		System.out.println("\nMake: " + getMake());
		System.out.println("Model: " + getModel());
		System.out.println("Price: " + getPrice());
		System.out.println("Frekvens: " + getFrekvens() + "\n\n");
	}

	/**
	 * Constructoren Cpu tager fire argumenter, hvoraf de tre frste bliver
	 * brugt som argument i kaldet til constructoren i superklassen Component.
	 * Opretter et objekt af typen Cpu.
	 * 
	 * @param make
	 *            String
	 * @param model
	 *            String
	 * @param price
	 *            String
	 * @param frekvens
	 *            String
	 */
	public Cpu(String make, String model, int price, String frekvens) {
		super(make, model, price);
		this.frekvens = frekvens;
	}
}