package component;

/**
 * Description: Denne klasse omhandler arbejdet med objekter af typen Harddisk.
 * Nedarver fra Component.
 */
public class Harddisk extends Component {
	/**
	 * Variablen str der reprsenterer strrelsen p en harddisk.
	 */
	private String str;

	/**
	 * Metoden setStr benyttes til at stte vrdien p variablen str.
	 * 
	 * @param str
	 *            String
	 */
	public void setStr(String str) {
		this.str = str;
	}

	/**
	 * Metoden getStr benyttes til at hente vrdien af strrelsen p harddisken
	 * 
	 * @return String
	 */
	public String getStr() {
		return str;
	}

	/**
	 * Metoden show benyttes i klassen Harddisk til at reprsentere egenskaberne
	 * for et Harddisk objekt p skrmen.
	 */
	public void show() {
		System.out.println("******************Harddisk**********************");
		System.out.println("\nMake: " + getMake());
		System.out.println("Model: " + getModel());
		System.out.println("Price: " + getPrice());
		System.out.println("Size: " + getStr() + "\n\n");
	}

	/**
	 * Constructoren Harddisk benyttes til at oprette objekter af typen
	 * Harddisk. Tager fire parametre, hvoraf de tre frste blivre brugt som
	 * parametre i kaldet til constructoren i superklassen Component.
	 * 
	 * @param make
	 *            String
	 * @param model
	 *            String
	 * @param price
	 *            String
	 * @param str
	 *            String
	 */
	public Harddisk(String make, String model, int price, String str) {
		super(make, model, price);
		this.str = str;
	}
}