package component;

/**
 * Description: Denne klasse omhandler de arbejdet med motherboard-objekter i
 * systemet. Nedarver fra Component.
 */
public class Motherboard extends Component {
	/**
	 * Variablen information
	 */
	private String information;

	/**
	 * Metoden setInformation benyttes til at stte vrdien p variablen
	 * information.
	 * 
	 * @param Information
	 *            String
	 */
	public void setInformation(String Information) {
		this.information = Information;
	}

	/**
	 * Metoden getInformation benyttes til at hente vrdien p variablen
	 * information.
	 * 
	 * @return String
	 */
	public String getInformation() {
		return information;
	}

	/**
	 * Metoden show i klassen motherboard benyttes til at vise egenskaberne, for
	 * et motherboard objekt, p skrmen.
	 */
	public void show() {
		System.out.println("******************Bundkort**********************");
		System.out.println("\nMake: " + getMake());
		System.out.println("Model: " + getModel());
		System.out.println("Price: " + getPrice());
		System.out.println("Information: " + getInformation() + "\n\n");
	}

	/**
	 * Constructoren Motherboard kaldes med fire argmenter, hvoraf de tre frste
	 * benyttes som argumenter i kaldet til superklassens constructor. Opretter
	 * et objekt af typen Motherboard.
	 * 
	 * @param make
	 *            String
	 * @param model
	 *            String
	 * @param price
	 *            String
	 * @param information
	 *            String
	 */
	public Motherboard(String make, String model, int price, String information) {
		super(make, model, price);
		this.information = information;
	}
}