package component;

/**
 * Klassen omhandler arbejdet med Ram objekter. Nedarver fra Component.
 */
public class Ram extends Component {
	/**
	 * Variablen str som bliver brugt til at angive strrelsen p en Ram-blok.
	 */
	private String str;

	/**
	 * Metoden setStr benyttes til at angive vrdien p variablen str.
	 * 
	 * @param str
	 *            String
	 */
	public void setStr(String str) {
		this.str = str;
	}

	/**
	 * Metoden getStr benyttes til at hente vrdien p variablen str.
	 * 
	 * @return String
	 */
	public String getStr() {
		return str;
	}

	/**
	 * Metoden show bliver i klassen Ram brugt til at vise egenskaberne for et
	 * objekt af typen Ram p skrmen.
	 */
	public void show() {
		System.out.println("******************RAM-blok**********************");
		System.out.println("\nMake: " + getMake());
		System.out.println("Model: " + getModel());
		System.out.println("Price: " + getPrice());
		System.out.println("Size: " + getStr() + "\n\n");
	}

	/**
	 * Constructor til Ram klassen. Denne bliver brugt til at oprette objekter
	 * af typen Ram med. Den tager fire argumenter, hvoraf de tre frste bruges
	 * til at kalde constructoren i Ram's superklasse Component. Den sidste
	 * parameter bliver derefter tilfjet.
	 * 
	 * @param make
	 *            String
	 * @param model
	 *            String
	 * @param price
	 *            String
	 * @param str
	 *            String
	 */
	public Ram(String make, String model, int price, String str) {
		super(make, model, price);
		this.str = str;
	}
}